Bug 246818

Summary: New port: irc/catgirl TLS-only terminal IRC client
Product: Ports & Packages Reporter: june
Component: Individual Port(s)Assignee: Romain Tartière <romain>
Status: Closed FIXED    
Severity: Affects Only Me CC: brnrd, romain
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
diff
none
catgirl-1.1.diff
none
libretls-3.3.1
none
catgirl-1.4 none

Description june 2020-05-28 18:31:22 UTC
Created attachment 214984 [details]
diff

catgirl is a TLS-only terminal IRC client with tab-complete, nick
coloring, URL detection, message filtering and split scrolling.

WWW: https://git.causal.agency/catgirl/
Comment 1 june 2020-07-27 19:22:18 UTC
Created attachment 216819 [details]
catgirl-1.1.diff

Updated port to version 1.1. The build is less weird now.
Comment 2 Romain Tartière freebsd_committer 2021-01-16 18:36:45 UTC
Hello,

Adding brnrd@FreeBSD.org who might be helpful regarding the libressl thing: I think that a direct dependency on libressl is not the right way to go, we expect all ports to be compiled against the same library: base-openssl, ports-openssl or ports-libressl, and this does not look right.

This port seeems to use more precisely the libtls part of libressl, which is not part of openssl.  BUT libretls, by the same author of the program in this port seems to be the missing piece, providing libtls on top of openssl.  My guess is that the good way to proceed is:

1. Add libretls to the FreeBSD ports;
2. In this port, choose one:
   a. If the system is configured to build against openssl, depend on libretls;
   b. If the system is configured to build against libressl, no not add extra dependency.

@brnrd does that look right?


With this put apart, I could build this after bumping the version to 1.4 and removing the redundant RUN_DEPENDS.
Comment 3 Romain Tartière freebsd_committer 2021-01-16 19:12:46 UTC
Created attachment 221641 [details]
libretls-3.3.1

New port for libretls
Comment 4 Romain Tartière freebsd_committer 2021-01-16 19:13:21 UTC
Created attachment 221642 [details]
catgirl-1.4

Update and depend on libretls when building against openssl
Comment 5 Romain Tartière freebsd_committer 2021-01-16 19:47:54 UTC
Hum, just realized that the submitter is the author of the different pieces of software and has a git repository with their ports here :-) :
https://git.causal.agency/ports

Would you mind comparing both versions for these ports?  I see you passed a lot of flags when building which might not be necessary (at least, I had no issue without them, so maybe a review would be cool), and the dependency on libretls should only be set when not using libressl (would work great when using make from the ports tree, but when using poudriere it will fail).

While here take PR to make it clear somebody is willing to take care of it
Comment 6 june 2021-02-18 04:08:39 UTC
Looks like libretls has been added separately (my port for it was copied from the libressl port, that's where any odd flags came from). Good to see.

catgirl can be bumped to 1.6 with no other changes.
Comment 7 commit-hook freebsd_committer 2021-02-19 23:53:41 UTC
A commit references this bug:

Author: romain
Date: Fri Feb 19 23:53:22 UTC 2021
New revision: 566124
URL: https://svnweb.freebsd.org/changeset/ports/566124

Log:
  New port: irc/catgirl

  catgirl is a TLS-only terminal IRC client with tab-complete, nick
  coloring, URL detection, message filtering and split scrolling.

  WWW: https://git.causal.agency/catgirl/

  PR:		246818
  Submitted by:	june@causal.agency

Changes:
  head/irc/Makefile
  head/irc/catgirl/
  head/irc/catgirl/Makefile
  head/irc/catgirl/distinfo
  head/irc/catgirl/pkg-descr
Comment 8 Romain Tartière freebsd_committer 2021-02-19 23:54:57 UTC
Committed, thanks!

This project seems to be moving fast, feel free to ping me when you send updates, and keep up the good work!